<?php
namespace Claromentis\Core\Http;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_633363f14d0" . "8aa7b249a369" . "1028fdb34" => base64_decode("Li4vY29tbW9uL2h0dHBfZnVuY3Rpb25" . "zLnBocA=="), "_4d707fab93bebb00b" . "be69e8159697c90" => base64_decode(""), "_e20b559a1b414495c43a4fbbf2e5" . "015e" => base64_decode("aHR0cF9zZW5kX" . "2ZpbGU="), "_8c6a777435f1bfad5b574907c551c9f" . "0" => base64_decode("WC1Db250ZW50LVR5cGUtT3B0aW" . "9ucw=="), "_593a49c0" . "78b2740c1" . "c855f85ac" . "bf4c3e" => base64_decode("bm9zbmlmZg=" . "="));
use Symfony\Component\HttpFoundation\Response;




class FileResponse extends Response
{
    const INLINE = 'inline';
    const DOWNLOAD = 'attachment';
    protected $file_name;
    protected $file_path;
    protected $disposition;
    protected $mime_type;
    protected $last_modified;
    protected $is_protected;
    protected $cache_ttl;
    public function __construct($file_name, $_bb16fdceae82e78cd70e49ed63fa6f45, $_4b83d26c5eb0d93a0b377ff582df05e0 = false)
    {
        parent::__construct();
        $this->file_name = $file_name;
        $this->file_path = $_bb16fdceae82e78cd70e49ed63fa6f45;
        $this->disposition = $_4b83d26c5eb0d93a0b377ff582df05e0 ? self::DOWNLOAD : self::INLINE;
        $this->mime_type = $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_4d707fab93b" . "ebb00bbe69e8" . "159697c90"];
        $this->last_modified = 0;
        $this->is_protected = 1;
        $this->cache_ttl = 604800;
        
        
    }
    
    
    
    
    
    
    public function SetMimeType($_655a561f4e34bbdfa745dc13393471b3)
    {
        $this->mime_type = $_655a561f4e34bbdfa745dc13393471b3;
        return $this;
    }
    
    
    
    
    
    
    public function SetLastModified(\DateTimeInterface $_67a0d624aebcceb0abd5ce56a53ff06f = null)
    {
        $this->last_modified = $_67a0d624aebcceb0abd5ce56a53ff06f->getTimestamp();
        return $this;
    }
    
    
    
    
    
    
    public function SetIsProtected($_fb01886968e6069b1e01895aab49a296)
    {
        $this->is_protected = (bool) $_fb01886968e6069b1e01895aab49a296;
        return $this;
    }
    
    
    
    
    
    
    public function SetCacheTTL($_3eda9235d1e262356cb51c8c4f40b84b)
    {
        $this->cache_ttl = $_3eda9235d1e262356cb51c8c4f40b84b;
        return $this;
    }
    public function sendHeaders()
    {
        $this->headers->set($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_8c6a777435f1bfad5b574907c5" . "51c9f0"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_593a49c078b27" . "40c1c855f85acb" . "f4c3e"]);
        return $this;
    }
    public function sendContent()
    {
        \Claromentis\Core\Services::I()->session->save();
        require_once $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_633363f14d08aa7b249a3691028fdb3" . "4"];
        $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_e20b559a1b414495c43a4fbbf2e5015" . "e"]($this->file_name, $this->file_path, $this->disposition, $this->mime_type, $this->last_modified, $this->is_protected, $this->cache_ttl);
        return $this;
    }
    public function GetFilePath()
    {
        return $this->file_path;
    }
}